Subject: ADS
From: "Jim Kirchstein" <[email-masked]>
To: "Patti" <[email-masked]>
Date: Fri, 6 Mar 2015 08:07:31 -0600

Hi....
I have not heard any more from the Sauk City crowd which is strange.
If you have an idea of where I could go to get some answers on the police involvement and a nonprofit....
There has not been any charges yet.
There was a suit against one of the groups I worked with back in the 70's, when the home owners insurance was used to pay some of the charges. I would think that my homeowners policy with blanket coverage could be used if we came to that....I stopped at Neckermen Agency to check but could not find someone there that knew. The insurance company that the musicians used was American Family, but I think all insurance companies would have similar coverage. That is why I thought Janelle could be of help ... I read my policy without getting a good answer. I called American Family in Mt Horeb with a general question and they said that AmFam's blanket policy has coverage for being sued.
The officer that called me in was very coercive but I don't know where to go with that.

That's all the good news I have for today.

UJ